QGIS Application - Bug report #22016

Constraint on Text Edit Widget mixes up expression and expression description, causing constraint
not to work.

2019-05-08 10:10 AM - Jens Astrom

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:3.6.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 29830
Description

When specifying a constraint on a text field (text widget) the expression and the expression description trades places. This causes the
filter not to work.

Steps to reproduce:

1. New project, new Geopackage vector with a text data column called 'name'.

2. In properties, attribute form; set a constraint with expression length(name) >1, and description 'At least two characters'. Click OK.
3. Look in properties, attribute form. Expression and expression description has now traded places.

Tested on 3.6.2, Build 656500e0c4 on Windows 10, and Build 656500e on Ubuntu. A workaround is to use the expression as expression
description as well.

Related issues:
Duplicates QGIS Application - Bug report # 21908: constraints: "expression” a... Open 2019-04-23

Associated revisions

Revision 1b953df6 - 2019-05-09 01:19 AM - Nyall Dawson

Fix constraint expression and description are flipped

Fixes #22016

Revision cdbd9651 - 2019-05-09 01:19 AM - Nyall Dawson

Fix constraint expression and description are flipped

Fixes #22016

Revision 15f55d56 - 2019-05-09 10:30 PM - Nyall Dawson

Fix constraint expression and description are flipped

Fixes #22016

Revision cea65e25 - 2019-05-10 04:49 AM - Nyall Dawson
Fix constraint expression and description are flipped

Fixes #22016

Revision 883d235f - 2019-05-12 06:58 AM - Nyall Dawson

Fix constraint expression and description are flipped

Fixes #22016

History

#1 - 2019-05-08 04:41 PM - Andy Harfoot

Also reproduced in 3.4.7, Win10 using the Unique Values widget

#2 - 2019-05-09 12:54 PM - Giovanni Manghi

- Duplicates Bug report #21908: constraints: "expression” and "expression description" are swapped upon reopening the vector properties added
#3 - 2019-05-09 12:54 PM - Giovanni Manghi

- Resolution set to duplicate

- Easy fix? changed from Yes to No

- Operating System deleted (Windows 10, Ubuntu 18.10)
- Status changed from Open to Closed

#21908
